| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
AnnotationDescriptor Class Referenceabstract

`#include <AnnotationDescriptor.hpp>`

## Public Types

using | _ref_type = typename traits<AnnotationDescriptor>::ref_type

## Public Member Functions

virtual traits< DynamicType >::ref_type | type () const =0
| Returns a reference to the type.
virtual traits< DynamicType >::ref_type & | type ()=0
| Returns a reference to the type.
virtual void | type (traits< DynamicType >::ref_type type)=0
| Modifies the underlying type reference.
virtual ReturnCode_t | get_value (ObjectName &value, const ObjectName &key)=0
| Getter given a key for the value property.
virtual ReturnCode_t | get_all_value (Parameters &value)=0
| Getter for all the values.
virtual ReturnCode_t | set_value (const ObjectName &key, const ObjectName &value)=0
| Setter given a key for the value property.
virtual ReturnCode_t | copy_from (traits< AnnotationDescriptor >::ref_type descriptor)=0
| Overwrites the contents of this descriptor with those of another descriptor (see [standard] 7.5.2.3.1).
virtual bool | equals (traits< AnnotationDescriptor >::ref_type descriptor)=0
| State comparison according with the [standard] sections 7.5.2.3.2.
virtual bool | is_consistent ()=0
| Indicates whether the states of all of this descriptor's properties are consistent according with the [standard] section 7.5.2.3.3.

## Protected Member Functions

| AnnotationDescriptor ()=default
| AnnotationDescriptor (const AnnotationDescriptor &)=default
| AnnotationDescriptor (AnnotationDescriptor &&)=default
virtual | ~AnnotationDescriptor ()=default

## Member Typedef Documentation

## ◆ _ref_type

using _ref_type = typename traits<AnnotationDescriptor>::ref_type

## Constructor & Destructor Documentation

## ◆ AnnotationDescriptor() [1/3]

AnnotationDescriptor | ( |  | ) |

protected default

## ◆ AnnotationDescriptor() [2/3]

AnnotationDescriptor | ( | const AnnotationDescriptor & |  | ) |

protected default

## ◆ AnnotationDescriptor() [3/3]

AnnotationDescriptor | ( | AnnotationDescriptor && |  | ) |

protected default

## ◆ ~AnnotationDescriptor()

virtual ~AnnotationDescriptor | ( |  | ) |

protected virtual default

## Member Function Documentation

## ◆ copy_from()

virtual ReturnCode_t copy_from | ( | traits< AnnotationDescriptor >::ref_type | descriptor | ) |

pure virtual

Overwrites the contents of this descriptor with those of another descriptor (see [standard] 7.5.2.3.1).

Parameters

  [in] | descriptor | object

Returns
  standard ReturnCode_t

Return values

  RETCODE_OK | when the copy was successful.
  RETCODE_BAD_PARAMETER | when descriptor reference is nil.

## ◆ equals()

virtual bool equals | ( | traits< AnnotationDescriptor >::ref_type | descriptor | ) |

pure virtual

State comparison according with the [standard] sections 7.5.2.3.2.

Parameters

  [in] | descriptor | reference.

Returns
  bool true on equality

## ◆ get_all_value()

virtual ReturnCode_t get_all_value | ( | Parameters & | value | ) |

pure virtual

Getter for all the values.

Parameters

  [in,out] | value | Parameters interface to the strings map.

Returns
  ReturnCode_t returns operation success.

## ◆ get_value()

virtual ReturnCode_t get_value | ( | ObjectName & | value,
|  | const ObjectName & | key )

pure virtual

Getter given a key for the value property.

Parameters

  [in,out] | value | The value.
  [in] | key | Key used to retrieve the value.

Returns
  ReturnCode_t returns operation success

## ◆ is_consistent()

virtual bool is_consistent | ( |  | ) |

pure virtual

Indicates whether the states of all of this descriptor's properties are consistent according with the [standard] section 7.5.2.3.3.

Returns
  bool true if consistent.

## ◆ set_value()

virtual ReturnCode_t set_value | ( | const ObjectName & | key,
|  | const ObjectName & | value )

pure virtual

Setter given a key for the value property.

Parameters

  [in] | key | null terminated string
  [in] | value | null terminated string

Returns
  ReturnCode_t returns operation success

## ◆ type() [1/3]

virtual traits< DynamicType >::ref_type type | ( |  | ) | const

pure virtual

Returns a reference to the type.

The reference can be nil.

Returns
  DynamicType reference.

## ◆ type() [2/3]

virtual traits< DynamicType >::ref_type & type | ( |  | ) |

pure virtual

Returns a reference to the type.

The reference can be nil.

Returns
  DynamicType reference.

## ◆ type() [3/3]

virtual void type | ( | traits< DynamicType >::ref_type | type | ) |

pure virtual

Modifies the underlying type reference.

Parameters

  [in] | type | DynamicType reference.

The documentation for this class was generated from the following file:

- include/fastdds/dds/xtypes/dynamic_types/AnnotationDescriptor.hpp